<?php
require("../conexion.php");
include ("../funciones/fechas.php");

$numtras    = $_POST["numtras"];
$cdgbodega = $_POST["combobodega"];
$cdgbodega_para = $_POST["combo_bodega2"];



$cadena_busqueda=$_POST["cadena_busqueda"];

$where="1=1";

if ($numtras <> "") { $where.=" AND numtras='$numtras'"; }
if ($cdgbodega <> "") { $where.=" AND cdgbod='$cdgbodega'"; }
if ($cdgbodega_para <> "") { $where.=" AND cdgbodpar='$cdgbodega_para'"; }



 $where.=" ORDER BY numtras DESC,fectras DESC";
 ////////////////////////   Averigua el numero de FILAS ////////////////////////////
if ($result = $mysqli->query("SELECT * FROM traslados_inventario WHERE  ".$where)) {
   $filas = $result->num_rows;
   $result->close();
}


?>
<html>
	<head>
		<title>traslados</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script language="javascript">
		
		colorfondo;
		
		function ver_traslado(codtras) {
			parent.location.href="ver_traslado.php?codtras=" + codtras + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
		}
		
		function modificar_traslado(codtras,marcaestado) {
			if (marcaestado==1) {
				parent.location.href="modificar_traslado.php?codtras=" + codtras + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
			} else {
				alert ("No puede modificar un traslado ya pagada.");
			}
		}
		
	//////////////////////////////////////  funcion anular traslado //////////////////////////////////////////////////////

		function eliminar_traslado(codtras,marcaborrado) {
			if (marcaborrado==1) {
		       alert ("Favor verifique traslado ya fue ANULADO !");
					} else {	
			parent.location.href="eliminar_traslado.php?codtras=" + codtras + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
			
			}
		}
					      

		function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.totaltraslado.value=document.getElementById("totaltraslado").value;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+15);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+16;
			}
		}
		
		function CambiaColor(esto,fondo,texto)
		{
			colorfondo=esto.style.background;
			esto.style.background=fondo;
			esto.style.color=texto;
			return colorfondo;
		}
		
		function CambiaColor2(esto,texto)
		{
			esto.style.background=colorfondo;
			esto.style.color=texto;
		}
		
				function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}


function imprimir(codtras) {


		window.open("../fpdf/imprimir_ajuste_traslado.php?codtras="+codtras);
		//window.open("../fpdf/imprimir_factura_TERMICA_SUPER.php?codfactura="+codfactura);	
		//window.open("../fpdf/imprimir_Original.php?codfactura="+codfactura );
		//window.open("../fpdf/imprimir_Copia.php?codfactura="+codfactura);

		}

		
		</script>
	</head>

	<body onload= nobackbutton(); inicio()>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente8" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
            
			<input type="hidden" name="numfilas" id="numfilas" value="<?php echo $filas?>">
			<input type="hidden" name="totaltraslado" id="totaltraslado" value="<?php echo $totaltraslado?>">
				<?php
				
					if ($filas > 0) { 
						
$consulta = "SELECT codtras,dettras,dscbod,dscbodpar,borrado, totaltraslado,numtras,fectras FROM traslados_inventario WHERE ".$where;


$contador=0;
if ($resultado = $mysqli->query($consulta)) 

 
    while ($fila = $resultado->fetch_assoc()) {
        $marcaborrado = $fila["borrado"];

		if ( $marcaborrado == 1) { $borrado="Nula"; } else { $borrado=""; } 
		if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
								
								<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >
                                <?php $fectras= $fila["fectras"];;
								$fectras= implode("-", array_reverse(explode("-", $fectras))); 
								
								?>

								<td width="3%"><?php $contador+1;?></td>
								<td width="6%"><div align="left"><?php echo $fila["numtras"];?></div></td>
								<td width="10%"><div align="left"><?php echo $fectras ?></div></td>	
								<td width="37%"><div align="left"><?php echo $fila["dettras"];?></div></td>	
                                <td width="11%"><div align="left"><?php echo  $fila["dscbod"];?></div></td>
                                <td width="11%"><div align="left"><?php echo  $fila["dscbodpar"]; ?></div></td>
								<td width="8%"><div align="center"><?php echo $borrado; ?></div></td>		
                                					
								<td width="7%"><div align="right"><?php echo number_format($fila["totaltraslado"],2,".",",")?></div></td>
		
								
								<td width="2%"><div align="center"><a href="#"><img src="../img/Search_Male_User_Icon_32.png" width="25" height="25" border="0" onClick="ver_traslado(<?php echo $fila["codtras"] ?> )" title="Visualizar"></a></div></td>
								<td width="2%"><div align="center"><a href="#"><img src="../img/Remove_Male_User_Icon_32.png" width="25" height="25" border="0" onClick="eliminar_traslado(<?php echo $fila["codtras"]  ?> , <?php echo $marcaborrado ?>)" title="Anular traslado"></a></div></td>
						        <td width="3%"><a href="#"><img src="../img/Printer_Icon_32.png" alt="im" width="32" height="32" border="0" title="imprimir" onClick="imprimir(<?php echo $fila["codtras"]  ?> , <?php echo $marcaborrado ?>)"></a></td>
						</tr>
						</tr>	
						<?php $contador++;
							}
						?>			
					</table>
					<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo "No hay ningun traslado que cumpla con los criterios de b&uacute;squeda";?></td>
					    </tr>
					</table>					
					<?php } ?>					
			  </div>
			</div>
		  </div>			
		</div>
	</body>
</html>
